Skip to main content
GET
/
v2
/
{entity}
/
{project}
/
evaluation_runs
Evaluation Run List
curl --request GET \
  --url https://api.example.com/v2/{entity}/{project}/evaluation_runs \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.example.com/v2/{entity}/{project}/evaluation_runs"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.example.com/v2/{entity}/{project}/evaluation_runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "evaluation_run_id": "<string>",
    "evaluation": "<string>",
    "model": "<string>",
    "status": "<string>",
    "started_at": "2023-11-07T05:31:56Z",
    "finished_at": "2023-11-07T05:31:56Z",
    "summary": {},
    "source_evaluation_run_id": "<string>"
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

entity
string
required
project
string
required

Query Parameters

evaluations
string[] | null

Filter by evaluation references

models
string[] | null

Filter by model references

evaluation_run_ids
string[] | null

Filter by evaluation run IDs

limit
integer | null

Maximum number of evaluation runs to return

offset
integer | null

Number of evaluation runs to skip

Response

Stream of data in JSONL format

evaluation_run_id
string
required

The evaluation run ID

evaluation
string
required

Reference to the evaluation (weave:// URI)

model
string
required

Reference to the model (weave:// URI)

status
string | null

Status of the evaluation run

started_at
string<date-time> | null

When the evaluation run started

finished_at
string<date-time> | null

When the evaluation run finished

summary
Summary · object | null

Summary data for the evaluation run

source_evaluation_run_id
string | null

Source evaluation run ID if this run was created by rescoring